%define python3_pkgversion 39
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name social-auth-app-django

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.4.0
Release:        1.0.2%{?dist}
Summary:        Python Social Authentication, Django integration

License:        BSD
URL:            https://github.com/python-social-auth/social-app-django
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        THIRD_PARTY_LICENSES.txt
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-six
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-six
Requires:       %{?scl_prefix}python%{python3_pkgversion}-social-auth-core >= 3.3.0


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}

# Add 3rd party license
%{__cp} %{SOURCE1} .


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc README.md
%{python3_sitelib}/social_django
%{python3_sitelib}/social_auth_app_django-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jun 15 2023 Lans Hung <lans.hung@oracle.com> - 3.4.0-1.0.2
- Add 3rd party licenses

* Thu Jan 26 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.4.0-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Mon Sep 13 2021 Evgeni Golov - 3.4.0-1
- Initial package.
